ANSIBLE-GALAXY(1)

NAME
ansible-galaxy - None

SYNOPSIS

ansible-galaxy [delete|import|info|init|install|list|login|remove|search|setup] [--help] [options] ...

DESCRIPTION

command to manage Ansible roles in shared repostories, the default of which is Ansible Galaxy https://galaxy.ansible.com.

COMMON OPTIONS

--list List all of your integrations.

--remove 'REMOVE_ID' Remove the integration matching the provided ID value. Use --list to see ID values.

--version show program's version number and exit

-c, --ignore-certs Ignore SSL certificate validation errors.

-h, --help show this help message and exit

-s 'API_SERVER', --server 'API_SERVER' The API server destination

-v, --verbose verbose mode (-vvv for more, -vvvv to enable connection debugging)

ACTIONS

info
    prints out detailed information about an installed role as well as info available from the galaxy API.

    --offline Don't query the galaxy API when creating roles

    -p, --roles-path The path to the directory containing your roles. The default is the roles_path configured in your ansible.cfgfile (/etc/ansible/roles if not configured)

search
    searches for roles on the Ansible Galaxy server

    --author 'AUTHOR' GitHub username

    --galaxy-tags 'GALAXY_TAGS' list of galaxy tags to filter by

    --platforms 'PLATFORMS' list of OS platforms to filter by

    -p, --roles-path The path to the directory containing your roles. The default is the roles_path configured in your ansible.cfgfile (/etc/ansible/roles if not configured)

setup
    Setup an integration from Github or Travis for Ansible Galaxy roles

    --list List all of your integrations.

    --remove 'REMOVE_ID' Remove the integration matching the provided ID value. Use --list to see ID values.

list
    lists the roles installed on the local system or matches a single role passed as an argument.

    -p, --roles-path The path to the directory containing your roles. The default is the roles_path configured in your ansible.cfgfile (/etc/ansible/roles if not configured)

remove
    removes the list of roles passed as arguments from the local system.

    -p, --roles-path The path to the directory containing your roles. The default is the roles_path configured in your ansible.cfgfile (/etc/ansible/roles if not configured)

init
    creates the skeleton framework of a role that complies with the galaxy metadata format.

    --init-path 'INIT_PATH' The path in which the skeleton role will be created. The default is the current working directory.

    --offline Don't query the galaxy API when creating roles

    --role-skeleton 'ROLE_SKELETON' The path to a role skeleton that the new role should be based upon.

    --type 'ROLE_TYPE' Initialize using an alternate role type. Valid types include: 'container', 'apb' and 'network'.

    -f, --force Force overwriting an existing role

install
    uses the args list of roles to be installed, unless -f was specified. The list of roles

System Message: WARNING/2 (docs/man/man1/ansible-galaxy.1.rst:, line 168)
    Definition list ends without a blank line; unexpected unindent.

    can be a name (which will be downloaded via the galaxy API and github), or it can be a local .tar.gz file. -f, --force Force overwriting an existing role

    -g, --keep-scm-meta Use tar instead of the scm archive option when packaging the role

    -i, --ignore-errors Ignore errors and continue with the next specified role.

    -n, --no-deps Don't download roles listed as dependencies

    -p, --roles-path The path to the directory containing your roles. The default is the roles_path configured in your ansible.cfgfile (/etc/ansible/roles if not configured)

    -r 'ROLE_FILE', --role-file 'ROLE_FILE' A file containing a list of roles to be imported

import
    used to import a role into Ansible Galaxy

    --branch 'REFERENCE' The name of a branch to import. Defaults to the repository's default branch (usually master)

    --no-wait Don't wait for import results.

    --role-name 'ROLE_NAME' The name the role should have, if different than the repo name

    --status Check the status of the most recent import request for given github_user/github_repo.

login
    verify user's identify via Github and retrieve an auth token from Ansible Galaxy.

    --github-token 'TOKEN' Identify with github token rather than username and password.

delete
    Delete a role from Ansible Galaxy.

ENVIRONMENT

The following environment variables may be specified.

ANSIBLE_CONFIG -- Specify override location for the ansible config file

Many more are available for most options in ansible.cfg

For a full list check https://docs.ansible.com/. or use the ansible-config command.

FILES

/etc/ansible/ansible.cfg -- Config file, used if present

~/.ansible.cfg -- User config file, overrides the default config if present

./ansible.cfg -- Local config file (in current working direcotry) assumed to be 'project specific' and overrides the rest if present.

As mentioned above, the ANSIBLE_CONFIG environment variable will override all others.

AUTHOR

Ansible was originally written by Michael DeHaan.

COPYRIGHT

Copyright © 2018 Red Hat, Inc | Ansible. Ansible is released under the terms of the GPLv3 license.

SEE ALSO

ansible (1), ansible-config (1), ansible-console (1), ansible-doc (1), ansible-inventory (1), ansible-playbook (1), ansible-pull (1), ansible-vault (1)

Extensive documentation is available in the documentation site: <https://docs.ansible.com>. IRC and mailing list info can be found in file CONTRIBUTING.md, available in: <https://github.com/ansible/ansible>